package com.dbnt.kcscbackend.standardCode.mapper;


import com.dbnt.kcscbackend.standardCode.entity.TnDocumentCodeList;
import com.dbnt.kcscbackend.standardCode.entity.TnDocumentInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface StandardCodeMapper {

	List<TnDocumentCodeList> selectStandardCodeList(TnDocumentInfo tnDocumentInfo);

	Integer selectStandardCodeListCnt(TnDocumentInfo tnDocumentInfo);

	List<TnDocumentInfo> selectStandardCodeRevisionhistoryList(Integer groupseq);

	Integer selectStandardCodeGroupSeq(String groupFullCd);

	List<TnDocumentCodeList> selectStandardCodeCategoryList(Integer parentGroupSeq);

}
